#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:		kpublictransport
Version: 24.12.0
Release:	%mkrel %{rel}
Summary:	Library for reading public transport information
Group:		Graphical desktop/KDE
License:	GPLv2+
Url:		https://kde.org/
Source0:	https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:	kf6-rpm-macros

BuildRequires:	cmake(Qt6Quick)
BuildRequires:	cmake(Qt6Test)
BuildRequires:	cmake(Qt6Widgets)

BuildRequires:	cmake(KF6I18n)
BuildRequires:	cmake(KF6NetworkManagerQt)

BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(polyclipping)
BuildRequires:	pkgconfig(protobuf)

BuildRequires:	osmctools
Requires:	osmctools

%description
Public transport application for Plasma.

%files -f %{name}.lang
%{_kf6_categoriesdir}/org_kde_kpublictransport.*categories
%{_kf6_categoriesdir}/org_kde_kpublictransport_onboard.*categories
%{_kf6_qmldir}/org/kde/kpublictransport

#-------------------------------------------------------------------------

%define kpublictransport_major 1
%define libkpublictransport %mklibname kpublictransport %{kpublictransport_major}

%package -n %{libkpublictransport}
Summary:	Library for reading public transport information
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{libkpublictransport}
Library for reading public transport information.

%files -n %{libkpublictransport}
%{_kf6_libdir}/libKPublicTransport.so.%{kpublictransport_major}{,.*}
%{_kf6_libdir}/libKPublicTransport.so.24{,.*}

#-------------------------------------------------------------------------

%define kpublictransportonboard_major 1
%define libkpublictransportonboard %mklibname kpublictransportonboard %{kpublictransportonboard_major}

%package -n %{libkpublictransportonboard}
Summary:	Library for reading public transport information
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{libkpublictransportonboard}
Library for reading public transport information.

%files -n %{libkpublictransportonboard}
%{_kf6_libdir}/libKPublicTransportOnboard.so.%{kpublictransportonboard_major}{,.*}
%{_kf6_libdir}/libKPublicTransportOnboard.so.24{,.*}

#-------------------------------------------------------------------------

%define develname %mklibname %{name} -d

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/KDE and Qt
Requires:	%{libkpublictransport} = %{version}-%{release}
Requires:	%{libkpublictransportonboard} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{develname}
%{_includedir}/KPublicTransport/
%{_kf6_libdir}/libKPublicTransport.so
%{_kf6_libdir}/libKPublicTransportOnboard.so
%{_kf6_libdir}/cmake/KPublicTransport/

#-------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name}


%changelog
* Thu Dec 12 2024 daviddavid <daviddavid> 24.12.0-1.mga10
+ Revision: 2123858
- New version 24.12.0

* Sun Nov 17 2024 daviddavid <daviddavid> 24.11.80-1.mga10
+ Revision: 2116411
- New version 24.11.80

* Mon Nov 11 2024 daviddavid <daviddavid> 24.08.3-1.mga10
+ Revision: 2114107
- New version 24.08.3

* Sun Oct 13 2024 daviddavid <daviddavid> 24.08.2-1.mga10
+ Revision: 2105603
- New version 24.08.2

* Mon Sep 16 2024 daviddavid <daviddavid> 24.08.1-1.mga10
+ Revision: 2097471
- New version 24.08.1

* Thu Aug 22 2024 daviddavid <daviddavid> 24.08.0-1.mga10
+ Revision: 2087663
- New version 24.08.0

* Sat Aug 10 2024 daviddavid <daviddavid> 24.07.90-1.mga10
+ Revision: 2085403
- New version 24.07.90

* Fri Jun 14 2024 daviddavid <daviddavid> 24.05.1-1.mga10
+ Revision: 2073274
- New version 24.05.1

* Wed Jun 05 2024 neoclust <neoclust> 24.05.0-1.mga10
+ Revision: 2069926
- New version 24.05.0

* Thu Apr 18 2024 neoclust <neoclust> 24.02.2-1.mga10
+ Revision: 2058673
- New version 24.02.2

* Wed Feb 28 2024 neoclust <neoclust> 24.02.0-1.mga10
+ Revision: 2045212
- New version 24.02.0

* Tue Feb 06 2024 neoclust <neoclust> 24.01.95-1.mga10
+ Revision: 2037710
- New version 24.01.95

* Tue Jan 23 2024 neoclust <neoclust> 24.01.90-1.mga10
+ Revision: 2033835
- New version 24.01.90

* Mon Jan 01 2024 neoclust <neoclust> 24.01.85-1.mga10
+ Revision: 2025210
- New version 24.01.85

* Thu Nov 16 2023 neoclust <neoclust> 24.01.75-1.mga10
+ Revision: 2007199
- New version 24.01.75

* Sat Sep 23 2023 neoclust <neoclust> 23.08.1-1.mga10
+ Revision: 1989655
- New version 23.08.1

* Sat May 27 2023 neoclust <neoclust> 23.04.1-1.mga9
+ Revision: 1958738
- New version 23.04.1

* Thu Mar 02 2023 neoclust <neoclust> 22.12.3-1.mga9
+ Revision: 1946544
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 22.12.2-1.mga9
+ Revision: 1941837
- New version 22.12.2

* Thu Dec 15 2022 neoclust <neoclust> 22.12.0-1.mga9
+ Revision: 1922958
- New version 22.12.0

* Sat Nov 26 2022 neoclust <neoclust> 22.11.90-1.mga9
+ Revision: 1911453
- New version 22.11.90

* Thu Nov 10 2022 neoclust <neoclust> 22.08.3-1.mga9
+ Revision: 1905304
- New version 22.08.3

* Sun Sep 11 2022 neoclust <neoclust> 22.08.1-1.mga9
+ Revision: 1886823
- New version 22.08.1

* Wed Aug 31 2022 neoclust <neoclust> 22.08.0-1.mga9
+ Revision: 1882591
- New version 22.08.0

* Sat Jul 30 2022 neoclust <neoclust> 22.04.3-1.mga9
+ Revision: 1873119
- New version 22.04.3

* Tue Apr 26 2022 neoclust <neoclust> 22.04.0-1.mga9
+ Revision: 1854012
- New version 22.04.0

* Sun Apr 17 2022 neoclust <neoclust> 22.03.90-1.mga9
+ Revision: 1850936
- New version 22.03.90

* Mon Apr 04 2022 umeabot <umeabot> 21.12.0-2.mga9
+ Revision: 1843998
- Mageia 9 Mass Rebuild

* Sun Dec 26 2021 neoclust <neoclust> 21.12.0-1.mga9
+ Revision: 1763903
- New version 21.12.0
- New version 21.11.90

* Sat May 15 2021 neoclust <neoclust> 21.04.1-1.mga9
+ Revision: 1724111
- New version 21.04.1

* Sat Apr 24 2021 neoclust <neoclust> 21.04.0-1.mga9
+ Revision: 1718815
- New version 21.04.0

* Thu Mar 04 2021 neoclust <neoclust> 20.12.3-2.mga9
+ Revision: 1698598
- New version 20.12.3

* Sun Feb 28 2021 neoclust <neoclust> 20.12.2-1.mga9
+ Revision: 1694125
- New version 20.12.2

* Mon Dec 14 2020 daviddavid <daviddavid> 20.12.0-2.mga8
+ Revision: 1657124
- add missing dependency on osmctools

* Mon Dec 14 2020 daviddavid <daviddavid> 20.12.0-1.mga8
+ Revision: 1657113
- initial package kpublictransport

